//---------------------------------------------------------------------------

#ifndef databH
#define databH
//---------------------------------------------------------------------------
#endif

//
//              KOMPONENTY
//
//
// Komponent - spolocny pre viacero kompoentov...
//

class komponent{

   public:
    char znacka[15];
    int cena;
    int rank;


};


//
// Hdd - hard disk odvodeny od komponent ako aj ostatne okrem chipSetu
//

class Hdd: public komponent{

   public:
    char velkost[10];
    char rozhr[6];
    int otacky;
    char cache[10];



    Hdd *next;

};


//
// Doska - zakladna doska
//

class Doska: public komponent{

  public:

    char popis[20];
    char chipSet[15];

    Doska *next;
};


//
// CdDvd - mechaniky
//


class CdDvd: public komponent{

  public:

    char popis[20];
    char typ[10];

    CdDvd *next;
};


//
// Monitor
//


class Monitor: public komponent{

  public:

     char popis[10];
     char typ[10];
     int palce;

    Monitor *next;
};


//
// Pamat - RAM-ka
//


class Pamat: public komponent{

  public:

      char velkost[10];
      char zbernica[10];

    Pamat *next;
};


//
// Procak - CPU
//


class Procak: public komponent{

  public:

      char typ[15];
      char oznac[15];
      char socket[20];


    Procak *next;
};


//
// Vga - graficka karta
//


class Vga: public komponent{

  public:
      char typ[30];
      char slot[10];
      char chip[10];

    Vga *next;
};


//
// Chipset - chipset na doske
//


class Chipset{

  public:
    char typ[15];
    char vgaPort[20];
    char rozhranie[10];
    char socket[15];
    char proces[15];
    int rank;

    Chipset *next;
};


//
// DBKomponenty - databaza vsetkych komponentov;
//


class DBKomponenty{

  public:

// zoznam koponentov...

     Hdd *hard;
     Hdd *hardP;

     Doska *doska;
     Doska *doskaP;

     CdDvd *mechan;
     CdDvd *mechanP;

     Monitor *monit;
     Monitor *monitP;

     Pamat *pamat;
     Pamat *pamatP;

     Procak *procesor;
     Procak *procesorP;

     Vga *grafika;
     Vga *grafikaP;

     Chipset *chipSet;
     Chipset *chipSetP;

};

//
//              KOMPONENTY
//


//
//              ZAKAZNIK
//
//
// Zakaznik - jeden zakaznik (jeho udaje)
//


class Zakaznik{

      public:
        bool registr;
        int pocet;
        int id;
        char priezvisko[20];
        char telCis[15];
        char mesto[20];
        char zostava[30];


};


//
// DBZakaznik - databaza vsetkych zakaznikov
//


class DBZakaznik{

 public:
  Zakaznik zakaznik;

  DBZakaznik *next;

};


//
//               ZAKAZNIK
//


//
//              ZOSTAVY
//
//
// Zostava - parametre jednej zostavy
//


class Zostava{

 public:
   int pocet;
   char typ[10];
   int celkCena;

   Chipset chipSet;
   Doska doska;
   Procak procesor;
   Pamat pamat;
   Vga grafika;
   Hdd hard;
   CdDvd mechan;
   Monitor monit;

};



//
//DBZostavy - databaza vsetkych zostav
//



class DBZostavy{

 public:
  Zostava zostava;

  DBZostavy *next;

};


//
//              ZOSTAVY
//


//
// Profil - sluzi na ulozenie profilu
//


class profil{

  public:
    char grafika[10];
    char disk[10];
    char monitor[10]; //pojde do riti

};


class upgrade{

 public:

   bool procesor;
   bool ram;
   bool grafika;
   bool hard;
   bool monitor;

};


//
// Poziadavky - zistenie prvotnych poziadavok na vyber zostavy
//


class Poziadavky{

 public:
   int proces;
   int hry;
   int kanc;
   int multim;
   bool cena;

};


//
// Info - pre zistenie spokojnosti
//


class Info{

 public:
  bool value;

};


//
// Vykon - na zistenie vykonu pocitaca a jeho nasledneho vyberu alebo zmeny
//


class Vykon{

  public:
   int min;
   int mid;
   int max;

};
